Bug 142181 - ld dumps core compiling memdisk
Summary: ld dumps core compiling memdisk
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils   
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-07 22:42 UTC by H. Peter Anvin
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: binutils-2.15.92.0.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 13:07:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2004-12-07 22:42:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
When compiling memdisk, part of the syslinux suite, the ld included
binutils-2.15.92.0.2-5 (FC3 stock) dumps core.


Version-Release number of selected component (if applicable):
binutils-2.15.92.0.2-5

How reproducible:
Always

Steps to Reproduce:
wget
ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/syslinux-2.11.tar.gz
tar xvfz syslinux-2.11.tar.gz
cd syslinux-2.11/memdisk
make


1. Download syslinux-2.11.tar.gz
2.
3.
    

Actual Results:  Core dump linking memdisk16.elf

Expected Results:  It should have built the memdisk binary

Additional info:

Same result both on i386 and x86-64


Note You need to log in before you can comment on or make changes to this bug.